#ifndef _FLIB_TESTS_INTERNAL_H_
#define _FLIB_TESTS_INTERNAL_H_

#include "flib.h"

#define MAX_LOCAL_LOG_SIZE 1024*128

typedef struct ___Op_node {
  int epoch_nr;
  int target_rank;
  Operation_type op_type;
  int origin_count;
  MPI_Datatype origin_datatype;
  MPI_Aint target_disp;
  int target_count;
  MPI_Datatype target_datatype;
	MPI_Op operation;

  char* payload;
} __Op_node;

extern __Op_node** __local_log_array;
extern int __testing_puts_nr;

extern gdsl_queue_t* __global_log_array;
extern int* __testing_gets_nr;

#endif
